summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Andre Barboza <bmg.andre@gmail.com>2010-05-13 00:58:02 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:58:02 +0200
commit7c25bf3623e0962f6bb2faeaa225c960dfdd5a1c (patch)
tree07b9436b691910e2be10f0dc77b857fd4c4ee5c8 /development
parent0e56fcb6202f43e4de7209fcdb904e1714b3d338 (diff)
downloadslackbuilds-7c25bf3623e0962f6bb2faeaa225c960dfdd5a1c.tar.gz
slackbuilds-7c25bf3623e0962f6bb2faeaa225c960dfdd5a1c.tar.xz
development/qt4pas: Added to 13.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/qt4pas/README11
-rw-r--r--development/qt4pas/qt4pas.SlackBuild88
-rw-r--r--development/qt4pas/qt4pas.info10
-rw-r--r--development/qt4pas/qt4pas.pro8
-rw-r--r--development/qt4pas/slack-desc19
5 files changed, 136 insertions, 0 deletions
diff --git a/development/qt4pas/README b/development/qt4pas/README
new file mode 100644
index 0000000000..d408f35199
--- /dev/null
+++ b/development/qt4pas/README
@@ -0,0 +1,11 @@
+FPC Qt4 Binding
+
+Goal: Provide a Qt4 binding for FreePascal that may be of use to provide
+the Lazarus LCL library with a Qt interface.
+
+This binding does not aim to cover the whole Qt4 framework, but only just
+enough to satisfy the LCL needs. If any LCL/Qt developer needs an extra
+class, just ask and it will be added promptly. Some of the methods that
+have parameters based upon templates have been omitted. If however you
+need any of those, just ask.
+
diff --git a/development/qt4pas/qt4pas.SlackBuild b/development/qt4pas/qt4pas.SlackBuild
new file mode 100644
index 0000000000..5002a85628
--- /dev/null
+++ b/development/qt4pas/qt4pas.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for qt4pass
+
+# Written by Andre Barboza <bmg.andre@gmail.com>
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=qt4pas
+VERSION=${VERSION:-1.70}
+SRCVER=${SRCVER:-V1.70_Qt4.5.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${SRCVER}
+tar xvf $CWD/$PRGNAM-${SRCVER}.tar.gz
+cd $PRGNAM-${SRCVER}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cat $CWD/$PRGNAM.pro > $TMP/$PRGNAM-$SRCVER/$PRGNAM.pro
+qmake \
+ PREFIX=/usr \
+ LIBDIRSUFFIX="$LIBDIRSUFFIX" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS" \
+ $PRGNAM.pro
+make
+make install INSTALL_ROOT=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING.TXT \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/qt4pas/qt4pas.info b/development/qt4pas/qt4pas.info
new file mode 100644
index 0000000000..1d497798ad
--- /dev/null
+++ b/development/qt4pas/qt4pas.info
@@ -0,0 +1,10 @@
+PRGNAM="qt4pas"
+VERSION="1.70"
+HOMEPAGE="http://users.telenet.be/Jan.Van.hijfte/qtforfpc/fpcqt4.html"
+DOWNLOAD="http://users.telenet.be/Jan.Van.hijfte/qtforfpc/qt4pas-V1.70_Qt4.5.0.tar.gz"
+MD5SUM="1b44cd72a6c226524a54afe93b68ecb8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"
+APPROVED="dsomero"
diff --git a/development/qt4pas/qt4pas.pro b/development/qt4pas/qt4pas.pro
new file mode 100644
index 0000000000..67149b3728
--- /dev/null
+++ b/development/qt4pas/qt4pas.pro
@@ -0,0 +1,8 @@
+VERSION = 5.1.72
+QT += network webkit
+DEFINES += BINUX
+TEMPLATE = lib
+SOURCES += qtpas.cpp
+TARGET = qt4intf
+target.path = $${PREFIX}/lib$${LIBDIRSUFFIX}
+INSTALLS += target
diff --git a/development/qt4pas/slack-desc b/development/qt4pas/slack-desc
new file mode 100644
index 0000000000..7381ee4522
--- /dev/null
+++ b/development/qt4pas/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qt4pas: qt4pas (FPC Qt4 Binding)
+qt4pas:
+qt4pas: Provides a Qt4 binding for FreePascal that may be of use to provide
+qt4pas: the Lazarus LCL library with a Qt interface.
+qt4pas:
+qt4pas: Homepage: http://users.telenet.be/Jan.Van.hijfte/qtforfpc/fpcqt4.html
+qt4pas:
+qt4pas:
+qt4pas:
+qt4pas:
+qt4pas: